Vim with Color Syntax on Pi

General programming chat and advice for beginners

6 posts
by TravelinMax » Sat Feb 16, 2013 8:47 pm
The version of Vim on the Rasbian Distro does not support color syntax, I tried to install the full version but it always says "Unable to locate package"

Any suggestion? I've tried

Code: Select all
apt-get vim
apt-get vim-rt
apt-get vim-full


Same error for each.

Thanks
Posts: 22
Joined: Mon Nov 26, 2012 3:46 am
Location: Michigan, USA
by Cloudcentric » Sat Feb 16, 2013 8:55 pm
Have you................

sudo apt-get update
sudo apt-get dist-upgrade

prior to downloading software ?
I know everything about nothing"
Posts: 982
Joined: Fri Sep 14, 2012 9:13 am
by PeterO » Sat Feb 16, 2013 8:57 pm
Have you tried
Code: Select all
apt-cache search vim

PeterO
User avatar
Posts: 920
Joined: Sun Jul 22, 2012 4:14 pm
by Spid » Sat Feb 16, 2013 9:02 pm
RASPBIAN

vim
vim-addon-manager
vim-runtime
vim-syntax-go
I will always assume you are running Raspbian for desktop and Raspbmc for XMBC !
Posts: 525
Joined: Sat Jan 19, 2013 12:47 pm
by jojopi » Sat Feb 16, 2013 9:12 pm
TravelinMax wrote:apt-get vim
It is "sudo apt-get install vim". Otherwise that is the correct package name. You may need "sudo apt-get update" first, as above.
User avatar
Posts: 2079
Joined: Tue Oct 11, 2011 8:38 pm
by TravelinMax » Sat Feb 16, 2013 10:00 pm
jojopi wrote:
TravelinMax wrote:apt-get vim
It is "sudo apt-get install vim". Otherwise that is the correct package name. You may need "sudo apt-get update" first, as above.

Thanks guys, this worked! Though I tried
Code: Select all
apt-cache search vim
right before it, I don't know if that helped or not.
Posts: 22
Joined: Mon Nov 26, 2012 3:46 am
Location: Michigan, USA